View Issue Details

IDProjectCategoryView StatusLast Update
0000015OpenMPT[All Projects] User Interfacepublic2017-03-19 13:58
ReporterSaga MusixAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.18.03.00 (upgrade first) 
Target VersionOpenMPT 1.26.09.00 / libopenmpt 0.2-beta22 (upgrade first)Fixed in VersionOpenMPT 1.26.09.00 / libopenmpt 0.2-beta22 (upgrade first) 
Summary0000015: Bxx + Loop Pattern option don't work together very well
Description

If you are in "loop pattern" mode and there is a Bxx command, MPT will jump to the specified pattern. That should not happen. Everything works okay with the Cxx (skip to row XX in next pattern) effect, it will stay in the same pattern, as expected.

Additional Information

This behaviour is a side effect of a bug fix.

See discussion at https://forum.openmpt.org/index.php?topic=1808.0

TagsNo tags attached.
Has the bug occurred in previous versions?Probably introduced in r175 / 1.17.02.46
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2017-03-15 13:45

administrator   ~0002918

Fixed in r7795

Issue History

Date Modified Username Field Change
2010-11-06 11:50 Saga Musix New Issue
2010-11-06 11:50 Saga Musix Status new => confirmed
2017-03-15 13:45 Saga Musix Assigned To => Saga Musix
2017-03-15 13:45 Saga Musix Status confirmed => resolved
2017-03-15 13:45 Saga Musix Resolution open => fixed
2017-03-15 13:45 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 (upcoming stable)
2017-03-15 13:45 Saga Musix Target Version => OpenMPT 1.27.01.00 (upcoming stable)
2017-03-15 13:45 Saga Musix Additional Information Updated View Revisions
2017-03-15 13:45 Saga Musix Note Added: 0002918
2017-03-15 22:46 Saga Musix Has the bug occurred in previous versions? This was introduced around version 1.17.02.48 => Probably introduced in r175 / 1.17.02.46
2017-03-19 13:58 Saga Musix Fixed in Version OpenMPT 1.27.01.00 (upcoming stable) => OpenMPT 1.26.09.00 / libopenmpt 0.2-beta22 (upgrade first)
2017-03-19 13:58 Saga Musix Target Version OpenMPT 1.27.01.00 (upcoming stable) => OpenMPT 1.26.09.00 / libopenmpt 0.2-beta22 (upgrade first)